Bug 1417827 - Can't connect to WPA/WPA2 Enterprise (TLS) network
Summary: Can't connect to WPA/WPA2 Enterprise (TLS) network
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 08:01 UTC by adam.chyla
Modified: 2017-02-03 09:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 09:17:23 UTC
Type: Bug


Attachments (Terms of Use)
/var/log/messages (3.44 KB, text/plain)
2017-01-31 08:01 UTC, adam.chyla
no flags Details
connection up & connection show (7.16 KB, text/plain)
2017-02-02 09:48 UTC, adam.chyla
no flags Details

Description adam.chyla 2017-01-31 08:01:39 UTC
Created attachment 1246111 [details]
/var/log/messages

Description of problem:

Can't connect to WPA/WPA2 Enterprise network with= TLS authentication. All secrets are correctly filled in Network Manager setting window.
Everything works fine when I use wpa_supplicant to connect to network.


Version-Release number of selected component (if applicable):

kernel version: 4.9.5-200.fc25.x86_64

> rpm -qa 'Network*'
NetworkManager-glib-1.4.4-3.fc25.x86_64
NetworkManager-vpnc-1.2.4-1.fc25.x86_64
NetworkManager-sstp-1.2.0-1.fc25.x86_64
NetworkManager-l2tp-1.2.4-1.fc25.x86_64
NetworkManager-pptp-1.2.4-1.fc25.x86_64
NetworkManager-libnm-1.4.4-3.fc25.x86_64
NetworkManager-team-1.4.4-3.fc25.x86_64
NetworkManager-ssh-1.2.1-0.fc25.x86_64
NetworkManager-adsl-1.4.4-3.fc25.x86_64
NetworkManager-libreswan-1.2.4-1.fc25.x86_64
NetworkManager-bluetooth-1.4.4-3.fc25.x86_64
NetworkManager-wwan-1.4.4-3.fc25.x86_64
NetworkManager-tui-1.4.4-3.fc25.x86_64
NetworkManager-openvpn-1.2.6-1.fc25.x86_64
NetworkManager-config-connectivity-fedora-1.4.4-3.fc25.x86_64
NetworkManager-1.4.4-3.fc25.x86_64
NetworkManager-openconnect-1.2.4-3.fc25.x86_64
NetworkManager-wifi-1.4.4-3.fc25.x86_64

> rpm -qa 'plasma-nm*'
plasma-nm-pptp-5.8.5-1.fc25.x86_64
plasma-nm-5.8.5-1.fc25.x86_64
plasma-nm-l2tp-5.8.5-1.fc25.x86_64
plasma-nm-openconnect-5.8.5-1.fc25.x86_64
plasma-nm-openvpn-5.8.5-1.fc25.x86_64
plasma-nm-openswan-5.8.5-1.fc25.x86_64
plasma-nm-vpnc-5.8.5-1.fc25.x86_64

Comment 1 Beniamino Galvani 2017-02-02 09:20:16 UTC
The connection fails because NM needs secrets and plasma-nm doesn't provide them.

Can you please try to launch the connection from the command line in this way:

 nmcli -a connection up <con-name>

and see if it works?

What's the output of 'nmcli connection show <connection-name>'?

Comment 2 adam.chyla 2017-02-02 09:48:03 UTC
Created attachment 1247043 [details]
connection up & connection show

results of
# nmcli -a connection up NETWORK_NAME
# nmcli connection show NETWORK_NAME

Comment 3 adam.chyla 2017-02-02 09:52:31 UTC
After nmcli -a connection up I'm still not connected to the network.

Comment 4 adam.chyla 2017-02-03 09:17:23 UTC
After running restorecon on certificates everything works.


Note You need to log in before you can comment on or make changes to this bug.